---
slug: /
sidebar_position: 1
---

# Intro

BSP based on native OpenWrt 23.05(*bl-v2.0.y based on master*) integrated Spacemit Stone series chips, including supervisory program interface (OpenSBI), boot loader (U-Boot/UEFI), Linux kernel, root file system (including various middleware and libraries), and examples.Its goal is to provide customers with soft routing and NAS scheme support, and can develop drivers or applications.

## Main component

Here are the components of OpenWrt:：

- OpenSBI
- U-Boot
- Linux Kernel
- mpp: Media Process Platform
- FFmpeg (with Hardware Accelerated)

More components are being adapted

- onnxruntime (with Hardware Accelerated)
- ai-support: AI demo
- k1x-vpu-firmware: Video Process Unit firmware
- k1x-vpu-test: Video Process Unit test program
- k1x-jpu: JPEG Process Unit API
- GStreamer (with Hardware Accelerated)

##  Quick guide

- [Download and compile](openwrt_quickstart.md)
- [Device management](openwrt_device_management.md)
- [Solution Management](openwrt_solution_management.md)

## Advanced Develope guide

[system develope guide](https://bianbu-linux.spacemit.com/development_guide)

## Precompile

[Spacemit OpenWrt source site](https://archive.spacemit.com/openwrt/releases/[branch])

[BPI-F3、MUSE-Pi image](https://archive.spacemit.com/openwrt/releases/23.05.2/targets/spacemit/DEVICE_debX/openwrt-spacemit-k1-sbc-debX-ext4-pack.zip)

[MUSE-N1 image](https://archive.spacemit.com/openwrt/releases/23.05.2/targets/spacemit/DEVICE_MUSE-N1/openwrt-spacemit-k1-nas-MUSE-N1-ext4-pack.zip)

## Supported device list

The following hardware devices are currently supported:

### SBC Solution

- BPI-F3
- [MUSE Pi](supported_devices/muse_pi.md)

### NAS Solution

- [MUSE N1](supported_devices/muse_n1.md)
